For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • PATCHUpdate Referring Provider
        • PATCHUpdate Initial Referring Provider
        • PATCHUpdate Supervising Provider
        • PATCHUpdate Ordering Provider
        • POSTCreate Referring Provider
        • POSTCreate Initial Referring Provider
        • POSTCreate Supervising Provider
        • POSTCreate Ordering Provider
        • DELDelete Referring Provider
        • DELDelete Initial Referring Provider
        • DELDelete Supervising Provider
        • DELDelete Ordering Provider
Contact Sales
LogoLogo
API ReferenceEncounter ProvidersV2

Create Ordering Provider

Deprecated
POST
/api/encounter-providers/v2/:service_line_id/create-ordering-provider
POST
/api/encounter-providers/v2/:service_line_id/create-ordering-provider
$curl -X POST https://api.joincandidhealth.com/api/encounter-providers/v2/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/create-ordering-provider \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "npi": "npi"
>}'
1{
2 "address": {
3 "address1": "address1",
4 "city": "city",
5 "state": "AA",
6 "zip_code": "zip_code",
7 "zip_plus_four_code": "zip_plus_four_code",
8 "address2": "address2"
9 },
10 "npi": "npi",
11 "provider_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
12 "first_name": "first_name",
13 "last_name": "last_name",
14 "organization_name": "organization_name",
15 "provider_commercial_license_type": "0",
16 "qualifier": "DQ",
17 "secondary_identification": {
18 "reference_identification": "reference_identification",
19 "reference_identification_qualifier": "0B"
20 },
21 "tax_id": "tax_id",
22 "taxonomy_code": "taxonomy_code"
23}
Was this page helpful?
Previous

Delete Referring Provider

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

service_line_idUUIDRequired

Request

This endpoint expects an object.
npistringRequired

A National Provider Identifier is a unique 10-digit identification number issued to health care providers in the United States

addressobjectOptional
first_namestringOptional
If the provider is an individual, this should be set instead of organization name
last_namestringOptional
If the provider is an individual, this should be set instead of organization name
organization_namestringOptional

If the provider is an organization, this should be set instead of first + last name

taxonomy_codestringOptional

Response

This endpoint returns an object.
addressobject
npistring
provider_idUUID
first_namestring
If the provider is an individual, this should be set instead of organization name
last_namestring
If the provider is an individual, this should be set instead of organization name
organization_namestring

If the provider is an organization, this should be set instead of first + last name

provider_commercial_license_typeenum
837i Loop2010BB G2 Provider Commercial Number
qualifierenum
Allowed values:
secondary_identificationobject

Only one of provider_commercial_license_type or secondary_identification may be provided 837i Loop2010BB G2 Secondary Identification

tax_idstring
taxonomy_codestring

Errors

404
Entity Not Found Error
409
Entity Conflict Error
422
HTTP Request Validations Error